List of all members
clan::DomNodeList Class Reference
clanCore XML

DOM Node List class. More...

`#include <dom_node_list.h>`

## Public Member Functions
Construction
| DomNodeList ()
| Constructs a DOM NodeList handle. More...
| DomNodeList (DomNode &node, const DomString &tag_name)
| Constructs a DomNodeList. More...
| DomNodeList (DomNode &node, const DomString &namespace_uri, const DomString &name, bool local_name=false)
| ~DomNodeList ()
Attributes
int | get_length () const
| The number of nodes in the list. More...
Operations
DomNode | item (unsigned long index) const
| Returns the indexth item in the collection. More...
void | add_item (DomNode &to_add)
| Adds a DomNode to the list. More...

## Detailed Description

DOM Node List class.

The NodeList interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented.

The documentation for this class was generated from the following file:

- dom_node_list.h